MGASA-2022-0129 - Updated openjpeg2 packages fix security vulnerability

Publication date: 02 Apr 2022
URL: https://advisories.mageia.org/MGASA-2022-0129.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2022-1122

A flaw was found in the opj2_decompress program in openjpeg2 2.4.0 in the
way it handles an input directory with a large number of files. When it
fails to allocate a buffer to store the filenames of the input directory,
it calls free() on an uninitialized pointer, leading to a segmentation
fault and a denial of service. (CVE-2022-1122)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30229
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/2NJDRJXCWHDJSXVXOZ6D4UKSSNPNLDOE/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1122

SRPMS:
- 8/core/openjpeg2-2.4.0-1.3.mga8